# Renuo CLI

The [Renuo](https://www.renuo.ch) command line. Used for various Renuo tasks

## Installation

```sh
gem install renuo-cli
```

## Usage

```sh
renuo -h
```

## Development

After checking out the repo, run `bin/setup` to install dependencies.

Run `rake spec` to run the tests.

Run `ruby -Ilib ./bin/renuo` to run the executable. (e.g. `ruby -Ilib ./bin/renuo -v`)

You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`.

To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`,
 which will create a git tag for the version, push git commits and tags, and push the `.gem` file to
 [rubygems.org](https://rubygems.org).

## Release

* Bump the version number in `lib/renuo/cli/version.rb` and commit to `main`

### Automatic

* Deploy through Semaphore console by starting a promotion to main

### Manual

```sh
gem build renuo-cli.gemspec
gem push renuo-cli-*.gem
```

## Contributing

Bug reports and pull requests are welcome on GitHub at <https://github.com/renuo/renuo-cli>. This project is intended to
be a safe, welcoming space for collaboration, and contributors are expected to adhere to
the [Contributor Covenant](https://www.contributor-covenant.org) code of conduct.

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/license/MIT).
